what gen. apple yv do you need to get netflix or hulu plus?

1 Answer from the Community

  • Answer

    You must have at least the 2nd Generation Apple TV with the latest firmware.

    • Answered by Jared A from Colleyville
    • 18-Mar-2014